Skip to main content

POST /smart-transfer-of-reads/v1/{mpid}

Sends register-level readings for an existing smart transfer-of-reads process.

Request

Method and path:

  • POST /smart-transfer-of-reads/v1/{mpid}

Headers:

  • X-API-KEY (required): string, API key in UUID format.
  • X-IDEMPOTENCY-KEY (required): string.

Path parameters:

  • mpid (required): string supplier MPID.

Body schema:

  • RegisterLevelReadingRequestSchema
{
"mpan_core": 1234567890123,
"bsc_validation": "V",
"meter_readings": [
{
"meter_id": "A123456789",
"reading_type": "A",
"meter_reading_flag": true,
"register_readings": [
{
"meter_register_id": "01",
"reading_datetime": "2022-03-21T19:05:00+00:00",
"reading": "789.0",
"md_reset_datetime": "2022-01-21T19:05:00+00:00",
"md_reset_count": 1,
"reading_method": "N",
"site_visit_information": [
{
"site_visit_check_code": "01",
"additional_information": "Validated smart reading"
}
]
}
]
}
]
}

Response

Success:

  • 202 Accepted
  • Body type: SmartTransferOfReadsResponseSchema
{
"request_id": "72f30f06-afcc-4ad8-8c1f-78e556ea9cbc",
"request_type": "smart-transfer-of-reads",
"request_status": "Success",
"description": "Smart Transfer of Reads Process",
"created_at": "2026-03-11T14:04:22+00:00",
"last_updated_at": "2026-03-11T14:04:59+00:00",
"mpan_core": 1234567890123
}

Bad request cases:

  • 400 if the MPAN does not exist.
  • 400 if no smart transfer-of-reads process exists for the MPAN.

Field-level constraints: